Einen manuellen Build auslösen
curl --request POST \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"build_id": "<string>",
"completed_at": 123,
"created_at": 123,
"pinned": true,
"started_at": 123,
"status": "pending",
"trigger": "manual",
"triggered_by_user_id": "<string>",
"updated_at": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Snapshot Setup (Organisation)
Einen manuellen Build auslösen
Einen Snapshot-Build manuell mit den aktuellen Blueprints der Org auslösen.
POST
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
Einen manuellen Build auslösen
Berechtigungen
ManageOrgSnapshots auf Ebene der Organisation.
Verhalten
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Body
application/json
POST /builds-Body. Gemäß Spezifikation leer; für zukünftige Felder reserviert.
Antwort
Erfolgreiche Antwort
Öffentliches Ressourcenformat für Build — eine opake Sicht auf „war dies schon erfolgreich?“.
Laut Spezifikation wird keine Introspektion auf Plattform-/Snapshot-/Job-Ebene offengelegt. Künftige
Erweiterungen (triggered_by_repo, Build-Metadaten usw.) sind additiv.
Verfügbare Optionen:
pending, running, succeeded, failed, cancelled Verfügbare Optionen:
manual, auto 
